using UnityEngine;
using System;
using System.Collections.Generic;
using mgaia.Utils;

public class Choice
{
    public string TextBody { get; private set; }   
    public ResponseLetter ResponseLetter { get; private set; }
    public Dictionary<Indicators, float> ChangedIndicators { get; private set; }
    public Dictionary<Attributes, float> ChangedAttributes { get; private set; }

    public Choice(string textBody, ResponseLetter responseLetter)
    {
        TextBody = textBody;
        ResponseLetter = responseLetter;
        ChangedIndicators = new Dictionary<Indicators, float>();
        ChangedAttributes = new Dictionary<Attributes, float>();
    }

    public bool TryGetSpawnedResponseLetter(out ResponseLetter responseLetter)
    {
        responseLetter = ResponseLetter;
        if (responseLetter != null)
        {
            return true;
        }
        return false;
    }
}